﻿@model IEnumerable<BookViewModel>

@{
    ViewData["Title"] = "Index3";
}

<div class="media">
    <div class="media-body">
        <h1 class="mt-0 mb-1 text-info">Catalog</h1>
    </div>
</div>
<hr class="bg-info" />
<table class="table table-hover text-info text-decoration-none ">
    <thead class="thead-light">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Year)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AuthorsNames)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Rating)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody class="table-hover">
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @foreach (var pesho in item.AuthorsNames)
                    {
                        @Html.DisplayFor(modelItem => pesho)
                        <br />
                    }
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Status)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Rating)
                </td>

                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Edit" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/EditTrans.png" alt="Edit" width="100">
                            </a>
                        </button>
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Details" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/DetailsTrans.png" alt="Details" width="100">
                            </a>
                        </button>
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Delete" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/DeleteTrans.png" alt="Delete" width="100">
                            </a>
                        </button>
                        <div>
                            <a asp-controller="Grades" asp-action="Review" asp-route-id="@item.Id">Review</a>
                        </div>
                        @if (Model.FirstOrDefault(bvm => bvm.UserId == bvm.CurrentUserId &&
                                          bvm.Status == "Taken" &&
                                          bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Return" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReturnTrans.png" alt="Return" width="100">
                                </a>
                            </button>
                        }
                        else if (Model.FirstOrDefault(bvm => bvm.UserId != bvm.CurrentUserId && bvm.Status == "Taken" && bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Reserve" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReserveTrans.png" alt="Reserve" width="100">
                                </a>
                            </button>
                        }
                        else if (Model.FirstOrDefault(bvm => bvm.UserId != bvm.CurrentUserId && bvm.Status == "Reserved" && bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Reserve" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReserveTrans.png" alt="Reserve" width="100">
                                </a>
                            </button>
                        }
                        else
                        {
                            <button type="button" class="btn bg-transparent transparent-0">
                                <a asp-action="Checkout" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/Chekout2.png" alt="Checkout" width="100">
                                </a>
                            </button>
                        }
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>
<hr class="bg-info" />
<button type="button" class="btn btn-secondary bg-transparent border-0 float-md-right">
    <a asp-action="Create">
        <img class="d-flex ml-3" src="~/lib/images/CreateNew.png" alt="CreateNew" width="150">
    </a>
</button>
